jQuery(document).ready(function(){
	jQuery('#submit-feedback').click(function() {
		var general_checked = jQuery('input[type=checkbox]').is('#feedback-options-general:checked');
		var relevant_checked = jQuery('input[type=checkbox]').is('#feedbackStudies:checked');
		var profession_checked = jQuery('input[type=checkbox]').is('#feedbackProfession:checked');
		var passion_checked = jQuery('input[type=checkbox]').is('#feedbackPassion:checked');
	
		jQuery.ajax({
			type: "post",
			url: ajax.ajaxurl,
			data: { 
				action: 'submit-feedback', 
				post_id: escape( jQuery( '#feedback-postid' ).val() ),
				session_key: escape( jQuery( '#feedback-sessionkey' ).val() ),
				trustworthy_rate: escape( jQuery( '#feedback-trustworthy-score' ).val() ), 
				objective_rate: escape( jQuery( '#feedback-objective-score' ).val() ), 
				complete_rate: escape( jQuery( '#feedback-complete-score' ).val() ), 
				wellwritten_rate: escape( jQuery( '#feedback-wellwritten-score' ).val() ), 
				is_highly_knowledgable: escape( general_checked ),
				is_relevant: escape( relevant_checked ),
				is_my_profession: escape( profession_checked ),
				is_personal_passion: escape( passion_checked ),
				rate_date: jQuery( '#feedback-datetime' ).val(),
				is_page: escape( jQuery( '#feedback-ispage' ).val() )
			},
			beforeSend: function() {
				jQuery("#rtp-loading").fadeIn('fast');
				jQuery(".buttonwrapper").hide();
			},
			success: function(){
				//location.reload();
				jQuery('#formstatus').html("<div id='rtp-loading'></div>");
				jQuery('#rtp-loading').html("Feedback submitted successfuly!")
					.hide()  
					.fadeIn(1450);
			}
		}); //close jQuery.ajax
		return false;
	})
})